Last Comment Bug 600151 - Remove the :-moz-submit-invalid default style
: Remove the :-moz-submit-invalid default style
Status: RESOLVED FIXED
[good first bug]
: dev-doc-complete
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b7
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks: 595636
  Show dependency treegraph
 
Reported: 2010-09-28 00:36 PDT by Mounir Lamouri (:mounir)
Modified: 2010-10-31 16:20 PDT (History)
5 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.22 KB, patch)
2010-09-30 00:44 PDT, Mounir Lamouri (:mounir)
dbaron: review+
dbaron: approval2.0+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2010-09-28 00:36:30 PDT
Currently :-moz-submit-invalid default style is a box shadow. We wont to get ride of that and have no default style. However, authors will still be able to use the pseudo-class.
Comment 1 :Ms2ger 2010-09-28 05:09:12 PDT
Why? When was this decided?
Comment 2 Mounir Lamouri (:mounir) 2010-09-28 11:40:43 PDT
(In reply to comment #1)
> Why? When was this decided?

limi, the UX person working with us on web forms think that the red glow is much more disturbing than helping. So we are going to remove that (probably for beta 8).
Any feedback are welcome.
Comment 3 Mounir Lamouri (:mounir) 2010-09-30 00:44:31 PDT
Created attachment 479719 [details] [diff] [review]
Patch v1

Trivial patch.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-10-08 09:39:42 PDT
Comment on attachment 479719 [details] [diff] [review]
Patch v1

r=dbaron
Comment 5 Mounir Lamouri (:mounir) 2010-10-12 07:48:30 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/20304cf71487
Comment 6 Nochum Sossonko [:Natch] 2010-10-12 09:29:52 PDT
So the box-shadow for the actual invalid parts of the form remains, as well as the tooltip when the form is submitted with invalid inputs. Works nicely, IMHO. Are there any docs on a) this pseudo-class and b) how to override the default behavior of invalid forms in author code?
Comment 7 Mounir Lamouri (:mounir) 2010-10-12 09:34:07 PDT
(In reply to comment #6)
> So the box-shadow for the actual invalid parts of the form remains, as well as
> the tooltip when the form is submitted with invalid inputs. Works nicely, IMHO.
> Are there any docs on a) this pseudo-class and b) how to override the default
> behavior of invalid forms in author code?

The only thing that disappear is the box-shadow on the submit buttons when the form is invalid. Everything else remains the same.
a) https://developer.mozilla.org/en/CSS/:-moz-submit-invalid
b) https://developer.mozilla.org/en/CSS/%3ainvalid ("See also" section might have interesting links)
Comment 8 Mounir Lamouri (:mounir) 2010-10-12 09:34:38 PDT
Actually, we need some dev-doc here because we no longer have a default style.
Comment 9 Nochum Sossonko [:Natch] 2010-10-12 10:18:22 PDT
(In reply to comment #7)
> The only thing that disappear is the box-shadow on the submit buttons when the
> form is invalid. Everything else remains the same.
> a) https://developer.mozilla.org/en/CSS/:-moz-submit-invalid
> b) https://developer.mozilla.org/en/CSS/%3ainvalid ("See also" section might
> have interesting links)

So the actual error message pop-up is not removable? I couldn't find any documentation to implement custom error handling (although there is the option of changing the error string).
Comment 10 Eric Shepherd [:sheppy] 2010-10-15 06:54:09 PDT
Updated the docs to say that this doesn't get styled by default.

Note You need to log in before you can comment on or make changes to this bug.